2020-06-05 14:39 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002695NetSurfGTK-specificpublic2020-05-27 09:14
ReporterBen Crowell 
Assigned To 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformOSlinuxOS Version
Product Version3.9 
Target VersionFixed in Version3.10 
Summary0002695: "newly opened tabs are blank" not completely implemented
DescriptionWhen I choose the "newly opened tabs are blank" and "switch to newly opened tabs immediately" preferences, then hit control-T, what happens does not seem right. The newly opened tab says "about:blank" in the tab bar, but in the URL bar, there is a copy of the URl from the page that I just left. This is a nuisance when using the X11 clipboard, and anyway it doesn't seem like the behavior that would be expected.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Daniel Silverstone

~0002138

Daniel Silverstone (administrator)

This is fixed with the new toolbar-within-tabs UI which Vincent wrote. It will be released in 3.10
Vincent Sanders

~0002232

Vincent Sanders (administrator)

Thankyou for reporting this issue.
We believe this is fixed in the 3.10 release.
If this is not the case please feel free to reopen the issue with additional details.
+Notes

-Issue History
Date Modified Username Field Change
2019-08-11 17:46 Ben Crowell New Issue
2019-10-21 10:41 Vincent Sanders Status new => confirmed
2019-10-21 10:41 Vincent Sanders Category Layout => GTK-specific
2019-11-29 20:41 Daniel Silverstone Status confirmed => resolved
2019-11-29 20:41 Daniel Silverstone Resolution open => fixed
2019-11-29 20:41 Daniel Silverstone Note Added: 0002138
2020-05-27 09:14 Vincent Sanders Status resolved => closed
2020-05-27 09:14 Vincent Sanders Fixed in Version => 3.10
2020-05-27 09:14 Vincent Sanders Note Added: 0002232
+Issue History